Name:           mpc-qt
Version:        20.10
Release:        %mkrel 1
Summary:        Media Player Classic Qute Theater
License:        GPLv2+
Group:          Video/Players
Url:            https://github.com/cmdrkotori/mpc-qt-origin
Source0:        https://github.com/cmdrkotori/mpc-qt-origin/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:        %{name}.changes
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(mpv) >= 0.29

%description
A clone of Media Player Classic reimplemented in Qt.

%prep
%setup -q -n %{name}-origin-%{version}

rm -rf mpv-dev

%build
%qmake_qt5 MPCQT_VERSION=%{version} PREFIX=%{_prefix}
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%doc README.md DOCS/ipc.md
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/translations
%{_datadir}/%{name}/translations/%{name}_*.qm
%{_iconsdir}/hicolor/scalable/*/%{name}.svg


%changelog
* Thu Dec 17 2020 daviddavid <daviddavid> 20.10-1.mga8
+ Revision: 1659371
- new version: 20.10

* Thu Dec 17 2020 umeabot <umeabot> 18.08-4.mga8
+ Revision: 1659063
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 18.08-3.mga8
+ Revision: 1524832
- Mageia 8 Mass Rebuild

* Sun Mar 31 2019 umeabot <umeabot> 18.08-2.mga7
+ Revision: 1383481
- Qt5 Rebuild

* Sun Feb 17 2019 daviddavid <daviddavid> 18.08-1.mga7
+ Revision: 1368045
- initial package mpc-qt

